$AdfDhtmlCommandToolbarButtonPeer$$.$_SUB_ID_MAP$ = {dropdown:"popEl", icon:"icon"};
$AdfDhtmlCommandToolbarButtonPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlCommandToolbarButtonPeer$$$$$GetSubIdDomElement$$($domElement$$548_subElementId$$10$$) {
  $AdfAssert$$.$assertNonEmptyString$($domElement$$548_subElementId$$10$$);
  if("text" != $domElement$$548_subElementId$$10$$) {
    var $component$$1808$$ = this.$getComponent$();
    return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($domElement$$548_subElementId$$10$$, $AdfDhtmlCommandToolbarButtonPeer$$.$_SUB_ID_MAP$, $component$$1808$$)
  }
  $domElement$$548_subElementId$$10$$ = this.$getDomElement$();
  return $AdfDomUtils$$.$getDescendentElement$($domElement$$548_subElementId$$10$$, "SPAN", 0)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandToolbarButtonPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlCommandToolbarButtonPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlCommandToolbarButtonPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlCommandToolbarButtonPeer$$$$$GetBestMatchSubId$$($domElement$$549$$) {
  var $subId$$39$$ = $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$549$$, this, $AdfDhtmlButtonPeer$$.$_SUB_ID_MAP$);
  if(!$subId$$39$$) {
    var $anchorElem$$1_rootNode$$23$$ = this.$getDomElement$(), $anchorElem$$1_rootNode$$23$$ = $AdfDomUtils$$.$getDescendentElement$($anchorElem$$1_rootNode$$23$$, "A", 0);
    $domElement$$549$$.parentNode == $anchorElem$$1_rootNode$$23$$ && ($subId$$39$$ = "text")
  }
  return $subId$$39$$
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandToolbarButtonPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlCommandToolbarButtonPeer$$.prototype.$GetBestMatchSubId$});
